import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../../shared';
import { IntercompanyProcessingQueueContainer } from '../../../../../../models/aggregates/intercompany';
import { ApiResponseModel } from "../../shared";
import { ApiVisa } from "../../shared";
import { Observable } from 'rxjs';
export declare class IntercompanyProcessingQueueService extends BaseApiTemplateService<IntercompanyProcessingQueueContainer> {
    constructor(http: HttpClient);
    createMulti(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    updateMulti(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    deleteMulti(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    performManualIntercompanyTxn(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
